package com.zcloud.domain.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.domain.domain.gateway.ProjectTaskInfoGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:30:29
 */
@Component
@AllArgsConstructor
public class ProjectTaskInfoRemoveExe {
    private final ProjectTaskInfoGateway projectTaskInfoGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = projectTaskInfoGateway.deletedProjectTaskInfoById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = projectTaskInfoGateway.deletedProjectTaskInfoByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

